Simulate a Bill
post
/bills/simulation/simulate
Runs synchronous bill simulation. Request dates use the ISO-8601 date format.
Request
There are no request parameters for this operation.
Supported Media Types
- application/xml
- application/json
Root Schema : schema
Type:
Show Source
object-
accountRef(required): object
ResourceRef
-
billInfoRef: object
ResourceRef
-
billRef: object
ResourceRef
-
billSimulationOffers: array
billSimulationOffers
-
effectiveDate: string
(date-time)
-
flag: integer
(int32)
-
jobRef: object
ResourceRef
-
periodEndDate: string
(date-time)
-
periodStartDate: string
(date-time)
-
simulationId: string
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Root Schema : schema
Type:
Show Source
object-
accountRef(required): object
ResourceRef
-
billInfoRef: object
ResourceRef
-
billRef: object
ResourceRef
-
billSimulationOffers: array
billSimulationOffers
-
effectiveDate: string
(date-time)
-
flag: integer
(int32)
-
jobRef: object
ResourceRef
-
periodEndDate: string
(date-time)
-
periodStartDate: string
(date-time)
-
simulationId: string
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
Response
Supported Media Types
- application/xml
- application/json
200 Response
The bill was simulated.
Nested Schema : ResourceRef
Type:
Show Source
object-
id(required): string
The ID.
-
uri: string
The Uniform Resource Identifier (URI) associated with the resource.
400 Response
The request isn't valid.
403 Response
Access isn't granted.
500 Response
An internal server error occurred.